Bug 222321 - "Update details" pane of "pup" not folded back after use
"Update details" pane of "pup" not folded back after use
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 12:03 EST by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 16:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing minimized package list pane. (21.94 KB, image/png)
2007-01-11 12:04 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-01-11 12:03:02 EST
Description of problem:
Once the update list is displayed by "pup", seleting a package and
clicking "Update Details" opens another pane for the package data.
As the windows size remains unaltered, the update list pane's size
gets reduced to allocate the necessary space. However, upon clicking
"Update Deatils" again, the package data pane gets closed leaving a
grey border behind, instead of remaximizing the package list pane
[see attached screenshot].

Version-Release number of selected component (if applicable):
pirut-1.2.10-1.fc7

How reproducible:
Always.

Steps to Reproduce:
1. Launch "pup".
2. Download list of updated packages.
3. Select a package and click "Update Details".
4. Click "Update Details" again.
  
Actual results:
Package list pane retains it reduced size.

Expected results:
Package list pane gets maximized again.

Additional info:
None.
Comment 1 Joachim Frieben 2007-01-11 12:04:39 EST
Created attachment 145369 [details]
Screenshot showing minimized package list pane.
Comment 2 Tim Reilly 2007-02-08 17:55:24 EST
This is a GTK problem from what I understand it. The dogtail recorder had a
similar issue, zack cerza ended up just removing the expand/collapse widget.
Comment 3 Jeremy Katz 2007-04-09 16:40:53 EDT
This should be a little better in 1.3.5

Note You need to log in before you can comment on or make changes to this bug.